{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

{
  imports = [

    # installées systématiquement
    ./environment.nix
    ./localisation.nix
    ./network.nix
    #./network-ipv6.nix
    ./u2f.nix
    ./udev.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./awesome.nix               # pour le gestionaire de fenêtres awesome
    ./laptop.nix                    # appli & configuration adaptée pour un PC portable
    ./nix-options.nix              # options de Nix (update, gc, optimisation)
    ./swap.nix                      # définition de l'utilisation du swap
  ];
}
