{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.xmonad {

  # Paquets
  environment.systemPackages = with pkgs; [
    dmenu
    haskellPackages.xmobar
    trayer
  ];

  # Services
  services.xserver.windowManager.xmonad = {
    enable = true;
    enableContribAndExtras = true;
    extraPackages = haskellPackages: [
      haskellPackages.xmobar
    ];
  };
  environment.variables = {
    _JAVA_AWT_WM_NONREPARENTING = "1";
  };
}
